> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Checkout Session



## OpenAPI

````yaml POST /v1/billing/checkout
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/billing/checkout:
    post:
      tags:
        - billing
      summary: Create a Stripe Checkout session to upgrade plan
      operationId: BillingController_checkout
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCheckoutDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CreateCheckoutDto:
      type: object
      properties:
        plan:
          type: string
          enum:
            - starter
            - growth
            - scale
        successUrl:
          type: string
          description: URL Stripe redirects to on success
        cancelUrl:
          type: string
          description: URL Stripe redirects to on cancel
      required:
        - plan
        - successUrl
        - cancelUrl
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````